import { Component, OnInit, Input } from '@angular/core';

@Component({
  selector: 'dashboard-kpi',
  templateUrl: './dashboard-kpi.component.html',
  styleUrls: ['./dashboard-kpi.component.css']
})
export class DashboardKPIComponent implements OnInit {

  @Input('data') compData: any;
  data: any[] = [];

  constructor() { }

  ngOnInit() {
    console.log('IN DashboardKPIComponent',this.compData);
    if(this.compData && this.compData.data)
    {
        this.data = this.compData.data.KPI_SUMMARY;
    }
  }

}
